<?php
class vrinsext
{
	var $ruta;
	function vrinsext($rut,$tabla,$cod,$ext)
	{
		$this->ruta=$rut;
		require($this->ruta);
		$item_sql='select *from item0 where item_codigo="'.$cod.'"';
		$item_res=mysql_query($item_sql,$link_vcrx);
		if(mysql_num_rows($item_res)==0)
		{
			die('No se encontro item: '.$cod);
		}
		$ncolum=mysql_num_fields($item_res)-1;
		$inserta='"'.$cod.$ext.'"';
		for($i=1;$i<=$ncolum;$i++)
		{
			
			$inserta.=',"'.mysql_result($item_res,0,$i).'"';
			
		}
		//echo $inserta;
		//$inex_sql='insert into '.$tabla.'0 ('.$tabla.'_codigo)';
		$ext_sql='insert into '.$tabla.'0 values('.$inserta.')';
		if(mysql_query($ext_sql))
		{
			echo '0';
		}
		else
		{
			echo 'Ocurrio un error al registrar';
			$talla_sql='select *from tlla0 where tlla_codigo="'.$ext.'"';
			$talla_res=mysql_query($talla_sql,$link_vcrx);
			if(mysql_num_rows($talla_res)!=0)
			{
				$item_sql='update '.$tabla.'0 set item_descri="item_descri/'.$ext.'", item_tlla="'.$ext.'" item_cair="-"';
				mysql_query($item_sql);
			}
		}
	}

}

?>